Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.logging.log4j.io
Class LoggerPrintWriter

    java.lang.Object
      java.io.Writer
          java.io.PrintWriter
              org.apache.logging.log4j.io.LoggerPrintWriter

All Implemented Interfaces:
  Closeable, Flushable, Appendable

    public class LoggerPrintWriter

extends PrintWriter

Logs each line written to a pre-defined level. Can also be configured with a Marker. This class provides an interface that follows the `PrintWriter` methods in spirit, but doesn't require output to any external writer.

Integration with JDBC logging can be as simple as:

         PrintWriter pw = IoBuilder.forLogger().setLevel(Level.DEBUG).buildPrintWriter();
         DriverManager.setLogWriter(pw);
         DataSource ds = ...
         ds.setLogWriter(pw);

Since:
  2.1

Field Summary

Fields inherited from class java.io.PrintWriter
`out`

Fields inherited from class java.io.Writer
`lock`

Constructor Summary
`protected` | `LoggerPrintWriter(org.apache.logging.log4j.spi.ExtendedLogger logger, boolean autoFlush, String fqcn, org.apache.logging.log4j.Level level, org.apache.logging.log4j.Marker marker)`
`protected` | `LoggerPrintWriter(Writer writer, boolean autoFlush, org.apache.logging.log4j.spi.ExtendedLogger logger, String fqcn, org.apache.logging.log4j.Level level, org.apache.logging.log4j.Marker marker)`

Method Summary
`LoggerPrintWriter` | `append(char c)`
`LoggerPrintWriter` | `append(CharSequence csq)`
`LoggerPrintWriter` | `append(CharSequence csq, int start, int end)`
`boolean` | `checkError()`
`void` | `close()`
`void` | `flush()`
`LoggerPrintWriter` | `format(Locale l, String format, Object... args)`
`LoggerPrintWriter` | `format(String format, Object... args)`
`void` | `print(boolean b)`
`void` | `print(char c)`
`void` | `print(char[] s)`
`void` | `print(double d)`
`void` | `print(float f)`
`void` | `print(int i)`
`void` | `print(long l)`
`void` | `print(Object obj)`
`void` | `print(String s)`
`LoggerPrintWriter` | `printf(Locale l, String format, Object... args)`
`LoggerPrintWriter` | `printf(String format, Object... args)`
`void` | `println()`
`void` | `println(boolean x)`
`void` | `println(char x)`
`void` | `println(char[] x)`
`void` | `println(double x)`
`void` | `println(float x)`
`void` | `println(int x)`
`void` | `println(long x)`
`void` | `println(Object x)`
`void` | `println(String x)`
`String` | `toString()`
`void` | `write(char[] buf)`
`void` | `write(char[] buf, int off, int len)`
`void` | `write(int c)`
`void` | `write(String s)`
`void` | `write(String s, int off, int len)`

Methods inherited from class java.io.PrintWriter
`clearError, setError`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### LoggerPrintWriter

    protected LoggerPrintWriter(org.apache.logging.log4j.spi.ExtendedLogger logger,
                                boolean autoFlush,
                                String fqcn,
                                org.apache.logging.log4j.Level level,
                                org.apache.logging.log4j.Marker marker)

### LoggerPrintWriter

    protected LoggerPrintWriter(Writer writer,
                                boolean autoFlush,
                                org.apache.logging.log4j.spi.ExtendedLogger logger,
                                String fqcn,
                                org.apache.logging.log4j.Level level,
                                org.apache.logging.log4j.Marker marker)

Method Detail

### append

    public LoggerPrintWriter append(char c)

  Specified by:
    `append` in interface `Appendable`
  Overrides:
    `append` in class `PrintWriter`

### append

    public LoggerPrintWriter append(CharSequence csq)

  Specified by:
    `append` in interface `Appendable`
  Overrides:
    `append` in class `PrintWriter`

### append

    public LoggerPrintWriter append(CharSequence csq,
                                    int start,
                                    int end)

  Specified by:
    `append` in interface `Appendable`
  Overrides:
    `append` in class `PrintWriter`

### checkError

    public boolean checkError()

  Overrides:
    `checkError` in class `PrintWriter`

### close

    public void close()

  Specified by:
    `close` in interface `Closeable`
  Overrides:
    `close` in class `PrintWriter`

### flush

    public void flush()

  Specified by:
    `flush` in interface `Flushable`
  Overrides:
    `flush` in class `PrintWriter`

### format

    public LoggerPrintWriter format(Locale l,
                                    String format,
                                    Object... args)

  Overrides:
    `format` in class `PrintWriter`

### format

    public LoggerPrintWriter format(String format,
                                    Object... args)

  Overrides:
    `format` in class `PrintWriter`

### print

    public void print(boolean b)

  Overrides:
    `print` in class `PrintWriter`

### print

    public void print(char c)

  Overrides:
    `print` in class `PrintWriter`

### print

    public void print(char[] s)

  Overrides:
    `print` in class `PrintWriter`

### print

    public void print(double d)

  Overrides:
    `print` in class `PrintWriter`

### print

    public void print(float f)

  Overrides:
    `print` in class `PrintWriter`

### print

    public void print(int i)

  Overrides:
    `print` in class `PrintWriter`

### print

    public void print(long l)

  Overrides:
    `print` in class `PrintWriter`

### print

    public void print(Object obj)

  Overrides:
    `print` in class `PrintWriter`

### print

    public void print(String s)

  Overrides:
    `print` in class `PrintWriter`

### printf

    public LoggerPrintWriter printf(Locale l,
                                    String format,
                                    Object... args)

  Overrides:
    `printf` in class `PrintWriter`

### printf

    public LoggerPrintWriter printf(String format,
                                    Object... args)

  Overrides:
    `printf` in class `PrintWriter`

### println

    public void println()

  Overrides:
    `println` in class `PrintWriter`

### println

    public void println(boolean x)

  Overrides:
    `println` in class `PrintWriter`

### println

    public void println(char x)

  Overrides:
    `println` in class `PrintWriter`

### println

    public void println(char[] x)

  Overrides:
    `println` in class `PrintWriter`

### println

    public void println(double x)

  Overrides:
    `println` in class `PrintWriter`

### println

    public void println(float x)

  Overrides:
    `println` in class `PrintWriter`

### println

    public void println(int x)

  Overrides:
    `println` in class `PrintWriter`

### println

    public void println(long x)

  Overrides:
    `println` in class `PrintWriter`

### println

    public void println(Object x)

  Overrides:
    `println` in class `PrintWriter`

### println

    public void println(String x)

  Overrides:
    `println` in class `PrintWriter`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### write

    public void write(char[] buf)

  Overrides:
    `write` in class `PrintWriter`

### write

    public void write(char[] buf,
                      int off,
                      int len)

  Overrides:
    `write` in class `PrintWriter`

### write

    public void write(int c)

  Overrides:
    `write` in class `PrintWriter`

### write

    public void write(String s)

  Overrides:
    `write` in class `PrintWriter`

### write

    public void write(String s,
                      int off,
                      int len)

  Overrides:
    `write` in class `PrintWriter`

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2015 Apache Software Foundation. All Rights Reserved.
Apache Logging, Apache Log4j, Log4j, Apache, the Apache feather logo, the Apache Logging project logo, and the Apache Log4j logo are trademarks of The Apache Software Foundation.